Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.viewer
Interface SequenceCursor

All Known Implementing Classes:
  DefaultSequenceCursor

public interface SequenceCursor

SequenceCursor.java Created: Mon Apr 3 18:59:26 2000

Version:
  $Id: SequenceCursor.java,v 1.2 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Add a listener to this cursor
`SequenceAlignmentPoint` | `getMark()` Returns the position of mark
`SequenceAlignmentPoint` | `getPoint()` Returns the position of point
`void` | `removeChangeListener(ChangeListener listener)` Remove the listener from this cursor
`void` | `setMark()` Set the mark to the current position of point
`void` | `setPoint(SequenceAlignmentPoint position)` Set the point to the new position

Method Detail

### addChangeListener

    public void addChangeListener(ChangeListener listener)

  Add a listener to this cursor

  Parameters:
    `listener` - the listener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

  Remove the listener from this cursor

  Parameters:
    `listener` - the listener to remove

### setPoint

    public void setPoint(SequenceAlignmentPoint position)

  Set the point to the new position

  Parameters:
    `position` - the position to set

### setMark

    public void setMark()

  Set the mark to the current position of point

### getPoint

    public SequenceAlignmentPoint getPoint()

  Returns the position of point

  Returns:
    the position

### getMark

    public SequenceAlignmentPoint getMark()

  Returns the position of mark

  Returns:
    the position

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD